org.apache.calcite.avatica

## Class Meta.ConnectionHandle

- java.lang.Object
- - org.apache.calcite.avatica.Meta.ConnectionHandle

Enclosing interface:
  Meta

    public static class Meta.ConnectionHandle
    extends Object

Connection handle.

### Field Summary

Fields
`String` `id`

### Constructor Summary

Constructors
Constructor and Description
`Meta.ConnectionHandle(String id)`

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### id

    public final String id

### Constructor Detail

#### Meta.ConnectionHandle

    public Meta.ConnectionHandle(String id)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`